PortAudio 2.0

Macros | Functions
paex_write_sine.c File Reference
Example programs demonstrating PortAudio usage

Play a sine wave for several seconds using the blocking API (Pa_WriteStream()) More...

`#include <stdio.h>`
`#include <math.h>`
`#include "portaudio.h"`

Go to the source code of this file.

## Macros
#define | NUM_SECONDS (5)
#define | SAMPLE_RATE (44100)
#define | FRAMES_PER_BUFFER (1024)
#define | M_PI (3.14159265)
#define | TABLE_SIZE (200)

## Functions
int | main (void)

## Detailed Description

Play a sine wave for several seconds using the blocking API (Pa_WriteStream())

Author
  Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om
  Phil Burk philb.nosp@m.urk@.nosp@m.softs.nosp@m.ynth.nosp@m..com

Definition in file paex_write_sine.c.

## Macro Definition Documentation

## ◆ FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (1024)

Definition at line 51 of file paex_write_sine.c.

## ◆ M_PI

#define M_PI (3.14159265)

Definition at line 54 of file paex_write_sine.c.

## ◆ NUM_SECONDS

#define NUM_SECONDS (5)

Definition at line 49 of file paex_write_sine.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (44100)

Definition at line 50 of file paex_write_sine.c.

## ◆ TABLE_SIZE

#define TABLE_SIZE (200)

Definition at line 57 of file paex_write_sine.c.

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Definition at line 61 of file paex_write_sine.c.